from xml.dom import minidom
from sys import stdin
from oneword import *
def fits(meaning, LA):
	"""
	return true if supplied meaning (without VAR) fits in the
	linguistic abstraction (with a VAR).
	Converts both arguments to a flat string representation,
	and iterates over the lines of the LA. When a matching line
	with the meaning argument is found, a counter is increased.
	If the counter reaches the number of lines in the meaning,
	        the meaning matched the LA. If a line is found which does
	not match the LA, the counter is resetted.
	"""
	import re
	mstr = frametostr(meaning).split('\n')
	mlines = mstr.count('\n')	
	LAstr = frametostr(LA).split('\n')
	curmeaningline = 0
	for a in LAstr:
		#make a regular expression from the LA where each
		#occurence of "VAR" can match any word, and stripping
		#leading whitespace:
		regex = re.compile(a.strip().replace("VAR", "[a-z:]*"))	
		if regex.search(mstr[curmeaningline]) == None:
			curmeaningline = 0
		else: #line matched
			curmeaningline += 1
			if curmeaningline == mlines:
				return True
	#if we came this far, it didn't work out
	return False
		
xmldoc = minidom.parse("test.xml").documentElement
la = xmldoc.getElementsByTagName("la")[0]
meanings = xmldoc.getElementsByTagName("meaning")

for m in meanings:
	print fits(m, la)
