<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<!--
Author: Arjan Nusselder
Date: 10th June 2007
Note: This is a my-first-xml approach, probably not to good, but since we're only looking for some functional output, not true xslt usage, it will have to suffice.
-->

<!--
<xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes" doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd" />
-->
<!-- output-method should be xml I think, but then firefox (at least) fails to render correctly, don't know why. There is some other xml-stuff I don't know about too, but that is beyond the scope of this project-->

<xsl:output method="html" version="1.0" encoding="utf-8" indent="yes" doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd" omit-xml-declaration="no"/>


<!-- General html lay-out -->
<xsl:template match="/">
<html xmlns="http://www.w3.org/1999/xhtml" lang="nl" xml:lang="nl">
<head>
    <title>Laac - sample data presentation</title>
    <style>
	* {
		font: 14px verdana, sans-serif;
	}
	.frame {
		margin-left: 2em;
		padding-left: 0.5em;
		border-left: 1px solid #ddd;
	}
	.situation {
		border: 1px solid black;
		margin: 0 2em 0 3em;
		padding: 1em;
		background: #ffe
	}
	.adult {
		font-style: italic;
	}
	.generalinfo {
		border: 1px solid black;
		margin: 2em;
		padding: 1em;
		background: #eee;
	}
	.propval {
		font-variant: small-caps;
	}
	.propname {
		font-weight: bold;
	}
	.number {
		position: relative;
		top: 2em;
	}
    </style>
</head>

<body>
	<div class="content">

	<xsl:apply-templates match="corpus"/>
	</div>
</body>

</html>
</xsl:template>


<!-- Property presentation -->
<xsl:template match="prop">
	<span class="propname"><xsl:value-of select="@name"/></span>: <span class="propval"><xsl:value-of select="."/></span><br />
</xsl:template>


<!-- Frame presentation -->
<xsl:template match="frame">
	<span class="propname"><xsl:value-of select="@name"/></span>:
		<div class="frame">
			<span class="propname">id</span>: <span class="propval"><xsl:value-of select="id"/></span><br />
			<span class="propname">abstraction</span>: <span class="propval"><xsl:value-of select="abstraction"/></span><br />
			<xsl:apply-templates select="prop"/>
			<xsl:apply-templates select="frame"/>
		</div>
</xsl:template>


<!-- Corpus presentation -->
<xsl:template match="corpus">

	<div class="generalinfo">
<xsl:variable name="sumsituation" select="count(situation)"/>
<!--<xsl:variable name="sumabstraction" select="count(//prop[@name='abstraction'])"/>-->
<xsl:variable name="sumframe" select="count(//frame)"/>
<xsl:variable name="sumabstraction" select="count(//abstraction)"/>
<xsl:variable name="sumid" select="count(//id)"/>
<xsl:variable name="sumprop" select="count(//prop)"/>
<xsl:variable name="sumblock" select="count(//id[.='block'])"/>
<xsl:variable name="sumball" select="count(//id[.='ball'])"/>

Total number of:<br/>
. situations: <xsl:value-of select="$sumsituation"/>.<br/>
. frame elements: <xsl:value-of select="$sumframe"/>.<br/>
. id's: <xsl:value-of select="$sumid"/>.<br/>
. abstractions: <xsl:value-of select="$sumabstraction"/>.<br/>
. properties: <xsl:value-of select="$sumprop"/>.<br/>
. adult utterances: <xsl:value-of select="count(//adult)"/>.<br/>
<br/>
Some specific statistics:<br/>
Number of 'block's: <xsl:value-of select="$sumblock"/>.<br/>
Number of 'ball's: <xsl:value-of select="$sumball"/>.<br/>
Number of 'focus's: <xsl:value-of select="count(//abstraction[.='focus'])"/>.<br/>
</div>

<div class="situations">

<xsl:for-each select="situation">
	<span class="number"><xsl:value-of select="0 + count(preceding::situation)"/>:</span>
	<div class="situation">
	Description: [<xsl:value-of select="description"/>]<br/><br/>
	<xsl:apply-templates select="frame"/><br/>
	<xsl:for-each select="adult">
		Adult utterance: <span class="adult"><xsl:value-of select="."/><br/></span>
	</xsl:for-each>
	<xsl:for-each select="child">
		Child utterance: <xsl:value-of select="."/><br/>
	</xsl:for-each>
	</div>
</xsl:for-each>

</div>
</xsl:template>

</xsl:stylesheet>
